QwtSystemClock(3)

NAME
QwtSystemClock -

SYNOPSIS

#include <qwt_system_clock.h>

  Public Member Functions
QwtSystemClock ()
virtual ~QwtSystemClock ()
double elapsed () const
bool isNull () const
double restart ()
void start ()

  Static Public Member Functions
static double precision ()

Detailed Description

QwtSystemClock provides high resolution clock time functions. Sometimes the resolution offered by QTime ( millisecond ) is not accurate enough for implementing time measurements ( f.e. sampling ). QwtSystemClock offers a subset of the QTime functionality using higher resolution timers ( if possible ).

Precision and time intervals are multiples of milliseconds (ms).

Note:
    The implementation uses high-resolution performance counter on Windows, mach_absolute_time() on the Mac or POSIX timers on other systems. If none is available it falls back on QTimer.

Member Function Documentation

  double QwtSystemClock::elapsed () const
Returns:
    Number of milliseconds that have elapsed since the last time start() or restart() was called or 0.0 for null clocks.

  bool QwtSystemClock::isNull () const
Returns:
    true if the clock has never been started.

  double QwtSystemClock::precision () [static]
Returns:
    Accuracy of the system clock in milliseconds.

  double QwtSystemClock::restart ()
The start time to the current time and return the time, that is elapsed since the previous start time.

  void QwtSystemClock::start ()
Sets the start time to the current time.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.